OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKXSBase
IFSelect

# IFSelect_SelectSignedShared Class Reference

In the graph, explore the Shareds of the input entities,
until it encounters some which match a given Signature
(for a limited level, filters the returned list)
By default, fitted for any level
.

`#include <IFSelect_SelectSignedShared.hxx>`

Inheritance diagram for IFSelect_SelectSignedShared:

[legend]

## Public Member Functions
Standard_EXPORT | IFSelect_SelectSignedShared (const Handle(IFSelect_Signature)&matcher, const Standard_CString signtext, const Standard_Boolean exact=Standard_True, const Standard_Integer level=0)
| Creates a SelectSignedShared, defaulted for any level with a given Signature and text to match .
Standard_EXPORT Handle_IFSelect_Signature | Signature () const
| Returns the used Signature, then it is possible to access it, modify it as required .
Standard_EXPORT const TCollection_AsciiString & | SignatureText () const
| Returns Text used to Sort Entity on its Signature .
Standard_EXPORT Standard_Boolean | IsExact () const
| Returns True if match must be exact .
Standard_EXPORT Standard_Boolean | Explore (const Standard_Integer level, const Handle(Standard_Transient)&ent, const Interface_Graph &G, Interface_EntityIterator &explored) const
| Explores an entity : its Shared entities <ent> to take if it matches the Signature At level max, filters the result. Else gives all Shareds .
Standard_EXPORT TCollection_AsciiString | ExploreLabel () const
| Returns a text defining the criterium. (it refers to the text and exact flag to be matched, and is qualified by the Name provided by the Signature) .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_IFSelect_Signature | thematcher
TCollection_AsciiString | thesigntext
Standard_Boolean | theexact

## Constructor & Destructor Documentation

Standard_EXPORT IFSelect_SelectSignedShared::IFSelect_SelectSignedShared | ( | const Handle(IFSelect_Signature)& | matcher,
|  | const Standard_CString | signtext,
|  | const Standard_Boolean | exact = `Standard_True`,
|  | const Standard_Integer | level = `0`
| ) |

## Member Function Documentation

Standard_EXPORT Standard_Boolean IFSelect_SelectSignedShared::Explore | ( | const Standard_Integer | level,
|  | const Handle(Standard_Transient)& | ent,
|  | const Interface_Graph & | G,
|  | Interface_EntityIterator & | explored
| ) | const`[virtual]`

| Implements IFSelect_SelectExplore.

Standard_EXPORT TCollection_AsciiString IFSelect_SelectSignedShared::ExploreLabel | ( |  | ) | const`[virtual]`

| Implements IFSelect_SelectExplore.

Standard_EXPORT const IFSelect_SelectSignedShared::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IFSelect_SelectExplore.

Standard_EXPORT Standard_Boolean IFSelect_SelectSignedShared::IsExact | ( |  | ) | const

Standard_EXPORT Handle_IFSelect_Signature IFSelect_SelectSignedShared::Signature | ( |  | ) | const

Standard_EXPORT const TCollection_AsciiString& IFSelect_SelectSignedShared::SignatureText | ( |  | ) | const

## Field Documentation

Standard_Boolean IFSelect_SelectSignedShared::theexact`[private]`

Handle_IFSelect_Signature IFSelect_SelectSignedShared::thematcher`[private]`

TCollection_AsciiString IFSelect_SelectSignedShared::thesigntext`[private]`

The documentation for this class was generated from the following file:

- IFSelect_SelectSignedShared.hxx